## libmongo-client 0.1.4

=== debian/changelog ===
libmongo-client (0.1.4-3) unstable; urgency=low

  * Build-Depend on debhelper (>= 8.9.7~) for -arch/-indep override
    support.
  * Move doxygen & graphviz to Build-Depends-Indep, and only build docs
    when building -indep. This'll save quite a bit of disk space on
    buildds. Thanks Laszlo Boszormenyi <gcs@debian.hu> for the suggestion.

 -- Gergely Nagy <algernon@madhouse-project.org>  Wed, 14 Sep 2011 23:08:53 +0200

libmongo-client (0.1.4-2) unstable; urgency=low

  * Build a libmongo-client-doc package, with API docs, the tutorial and
    examples. Based on a patch from Guido Günther <agx@sigxcpu.org>
    (Closes: #639940).

 -- Gergely Nagy <algernon@madhouse-project.org>  Sat, 03 Sep 2011 23:55:10 +0200

libmongo-client (0.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Gergely Nagy <algernon@madhouse-project.org>  Sat, 27 Aug 2011 13:26:17 +0200

libmongo-client (0.1.3-1) unstable; urgency=low

  * New upstream release.

 -- Gergely Nagy <algernon@madhouse-project.org>  Tue, 19 Jul 2011 19:48:33 +0200

libmongo-client (0.1.2-1) unstable; urgency=low

  * New upstream release.
  * Converted to multi-arch.
  * Use DEP-5 format debian/copyright.

 -- Gergely Nagy <algernon@madhouse-project.org>  Fri, 01 Jul 2011 11:08:57 +0200

libmongo-client (0.1.1-1) unstable; urgency=low

  * New upstream release.

 -- Gergely Nagy <algernon@madhouse-project.org>  Thu, 16 Jun 2011 12:25:16 +0200

libmongo-client (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #626969)

 -- Gergely Nagy <algernon@madhouse-project.org>  Wed, 25 May 2011 11:00:05 +0200
