=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export DH_OPTIONS += -O-Bbuild-tree --dbg-package=libmongo-client0-dbg

UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -n '/\(Version:\)/{s/^Version:[[:space:]]\+\([0-9]\+:\)\?\(.*\)/\2/p}' | rev | cut -d- -f 2- | rev)

# Disable the build target, because we don't want to build arch-indep
# stuff by default. There's always build-arch and build-indep, and the
# binary-* targets depend on the right build-* target anyway.

build: ;
.PHONY: build

##
# Arch dependent overrides
##
override_dh_autoreconf-arch:
	dh_autoreconf ./autogen.sh

override_dh_auto_configure-arch:
	dh_auto_configure -- --enable-shared --with-versioned-symbols

override_dh_auto_build-arch:
	dh_auto_build

##
# Arch independent overrides
##
override_dh_autoreconf-indep override_dh_auto_configure-indep: ;
override_dh_auto_test-indep override_dh_auto_install-indep: ;
override_dh_auto_build-indep:
	install -d build-tree/docs/html
	cd build-tree && sed -e "s,@VERSION@,${UPSTREAM_VERSION},g" \
			     -e "s,@top_srcdir@,../,g" \
		<../Doxyfile.in >Doxyfile
	cd build-tree && doxygen

##
# Overrides common to both
##
override_dh_installdocs:
	dh_installdocs --link-doc=libmongo-client0

override_dh_compress:
	dh_compress -Xusr/share/doc/libmongo-client0/examples/ \
		    -Xusr/share/doc/libmongo-client0/html/

%:
	dh $@ --with autoreconf
