## libmongo-client 0.1.6.2

=== debian/changelog ===
libmongo-client (0.1.6.2-1) unstable; urgency=low

  * New upstream release.
    + Minor memory leak fix in the GridFS code
    + Support for the obsolete Binary subtype in GridFS files
    + Documentation improvements
  * Don't muck with m4/ during build, it is included upstream now.

 -- Gergely Nagy <algernon@madhouse-project.org>  Fri, 21 Dec 2012 12:35:43 +0100

libmongo-client (0.1.6.1-3) unstable; urgency=low

  * Make libmongo-client-dev depend on libglib2.0-dev. Thanks Michael
    Biebl. (Closes: #690992)

 -- Gergely Nagy <algernon@madhouse-project.org>  Sat, 20 Oct 2012 08:30:09 +0200

libmongo-client (0.1.6.1-2) unstable; urgency=low

  * Really build with verbose messages enabled, the test suite too.
  * Install and clean the m4/ directory too during build, to make
    backporting easier.

 -- Gergely Nagy <algernon@madhouse-project.org>  Mon, 15 Oct 2012 08:38:07 +0200

libmongo-client (0.1.6.1-1) unstable; urgency=low

  * New upstream bugfix release.
    + Restores ABI compatibility with versions prior to 0.1.6.

 -- Gergely Nagy <algernon@madhouse-project.org>  Sun, 14 Oct 2012 23:15:47 +0200

libmongo-client (0.1.6-1) unstable; urgency=low

  * New upstream release.
  * Build with verbose messages enabled.
  * Use xz compression for source & binaries too.

 -- Gergely Nagy <algernon@madhouse-project.org>  Sun, 14 Oct 2012 21:18:39 +0200
