## libmongo-client 0.1.7

=== debian/changelog ===
libmongo-client (0.1.7-1) unstable; urgency=low

  * New upstream release.
    + Automatic re-authentication support, even when using automatic
      failover with replicasets.
  * debian/symbols updated with the new LMC_0.1.7 version tag.

 -- Gergely Nagy <algernon@madhouse-project.org>  Sun, 15 Dec 2013 11:37:03 +0100

libmongo-client (0.1.6.3-2) unstable; urgency=low

  * debian/copyright: Point to /usr/share/common-licenses/Apache-2.0 for
    the full text of the license. (Thanks, lintian!)
  * Bumped Standards-Version to 3.9.5, no changed necessary.

 -- Gergely Nagy <algernon@madhouse-project.org>  Tue, 05 Nov 2013 10:38:33 +0100

libmongo-client (0.1.6.3-1) unstable; urgency=low

  * New upstream release.
    + Fixed chunked GridFS file retrieval, to keep the chunk order.
    + Fixed a crash that happened when verification in safe-mode failed.
  * Bumped Standards-Version to 3.9.4, no changes necessary.
  * debian/copyright: Updated the copyright years.

 -- Gergely Nagy <algernon@madhouse-project.org>  Tue, 27 Aug 2013 10:10:37 +0200
