=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Maintainer: Gergely Nagy <algernon@madhouse-project.org>
 Build-Depends: debhelper (>= 9~), libglib2.0-dev, perl, dh-autoreconf
 Build-Depends-Indep: doxygen, graphviz
-Standards-Version: 3.9.3
+Standards-Version: 3.9.5
 Section: libs
 Homepage: https://github.com/algernon/libmongo-client
 Vcs-Git: git://git.madhouse-project.org/projects/libmongo-client.git
@@ -34,7 +34,7 @@
 Package: libmongo-client-dev
 Section: libdevel
 Architecture: any
-Depends: libmongo-client0 (= ${binary:Version}), pkg-config, ${misc:Depends}
+Depends: libmongo-client0 (= ${binary:Version}), pkg-config, libglib2.0-dev, ${misc:Depends}
 Description: Development files for the alternate C driver for MongoDB
  libmongo-client is an alternative C language driver to the MongoDB
  document-oriented datastore.
