=== debian/rules ===
--- 
+++ 
@@ -16,13 +16,16 @@
 # Arch dependent overrides
 ##
 override_dh_autoreconf-arch:
-	dh_autoreconf ./autogen.sh
+	dh_autoreconf
 
 override_dh_auto_configure-arch:
 	dh_auto_configure -- --enable-shared --with-versioned-symbols
 
 override_dh_auto_build-arch:
-	dh_auto_build
+	dh_auto_build -- V=1
+
+override_dh_auto_test-arch:
+	dh_auto_test -- V=1
 
 ##
 # Arch independent overrides
@@ -46,5 +49,12 @@
 	dh_compress -Xusr/share/doc/libmongo-client0/examples/ \
 		    -Xusr/share/doc/libmongo-client0/html/
 
+override_dh_builddeb:
+ifneq (Ubuntu,$(shell dpkg-vendor --query Vendor))
+	dh_builddeb -- -Zxz
+else
+	dh_builddeb
+endif
+
 %:
 	dh $@ --with autoreconf
