=== debian/watch ===
version=3

http://git.madhouse-project.org/projects/libmongo-client/refs/ /projects/libmongo-client/snapshot/libmongo-client-(.*).tar.gz
