## libmongo-client 0.1.8

=== debian/changelog ===
libmongo-client (0.1.8-4build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 02:07:45 +0000

libmongo-client (0.1.8-4build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 05:26:46 +0000

libmongo-client (0.1.8-4) unstable; urgency=medium

  * Change to my new email address.
  * Use the automatic debug symbol packages:
    - Remove libmongo-client0-dbg section from debian/control.
    - Remove override_dh_strip from debian/rules.
    - Remove debian/libmongo-client0-dbg.maintscript.
  * Migrate to debhelper 11:
    - Change debian/compat to 11.
    - Bump minimum debhelper version in debian/control to >= 11.
  * Declare compliance with Debian Policy 4.2.1 (No changes needed).
  * New debian/patches/0001-hardening.patch to fix hardening.
  * Replace outdated README.source to explain the branching model used.
  * debian/control:
    - Change VCS-* to point to the new repository.
    - Replace Priority extra with optional.
    - Remove trailing whitespaces.
  * debian/libmongo-client-doc.install:
    - Change directory to usr/share/doc/libmongo-client-doc.
  * debian/copyright:
    - Use secure copyright format URI.
    - Bump year for debian/* to 2018.
  * debian/rules:
    - Add code to remove unused .md5 files from documentation.
    - Use /usr/share/dpkg/pkg-info.mk to get Upstream version.
    - Remove now useless code.
    - Fix tests.

 -- Jörg Frings-Fürst <debian@jff.email>  Mon, 01 Oct 2018 14:32:40 +0200

libmongo-client (0.1.8-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * fix symlink_to_dir calls for libmongo-client0-dbg
      and libmongo-client-dev (Closes: #860115).

 -- Ivo De Decker <ivodd@debian.org>  Wed, 12 Apr 2017 21:46:46 +0200

libmongo-client (0.1.8-3) unstable; urgency=medium

  * debian/libmongo-client-doc.maintscript:
    - Add missing symlink_to_dir calls for libmongo-client0-dbg
      and libmongo-client-dev (Closes: #860115).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Tue, 11 Apr 2017 20:36:41 +0200

libmongo-client (0.1.8-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Don't use link-doc between arch:all and arch:any (Closes: #858375).

 -- Ivo De Decker <ivodd@debian.org>  Sat, 08 Apr 2017 21:57:18 +0200

libmongo-client (0.1.8-2) unstable; urgency=medium

  * New Maintainer (Closes: #770801).
  * debian/contol:
    - Set myself as maintainer.
    - Bump Standards-Version to 3.9.6 (no changes required).
    - Change Vcs-* to collab-maint since old Vcs is not longer available.
  * debian/copyright:
    - Add missing license for tests/tools/*.
    - Add myself to the list of authors for debian/*.
    - Change upstream email address to algernon@madhouse-project.org.
    - Change source to github.
  * debian/rules:
    - Remove useless override_dh_builddeb: xz is now standard.
    - Remove oldstyle debhelper parts.
    - Add override_dh_makeshlibs to build symbols on every build.
    - Add missing LDFLAGS.
  * debian/watch:
    - Change source to github.
  * Remove debian/source/options because xz is now standard.
  * New debian/patches/0100-gcc5.patch:
    - Cheery-picked upstream commit 7ccdf08e81aa51a1b54eb4c574e6e4fc5f2e2d54
      to make the library fit for gcc-5 (Closes: #777959).

 -- Jörg Frings-Fürst <debian@jff-webhosting.net>  Wed, 08 Jul 2015 14:42:01 +0200

libmongo-client (0.1.8-1) unstable; urgency=medium

  * New upstream release.
  * debian/symbols updated with the new LMC_0.1.8 version tag.
  * debian/copyright updated to include 2014 in copyright years.
  * debian/rules updated to drop --with-versioned-symbols: it is
    automatically enabled now, if supported.

 -- Gergely Nagy <algernon@madhouse-project.org>  Thu, 22 May 2014 13:05:18 +0200

libmongo-client (0.1.7.1-1) unstable; urgency=medium

  * New upstream release.
    + Improves the roboustness of safe mode.

 -- Gergely Nagy <algernon@madhouse-project.org>  Fri, 14 Mar 2014 11:04:43 +0100
