=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# hardening
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

export DH_OPTIONS += -O-Bbuild-tree

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

##
# Arch dependent overrides
##
override_dh_autoreconf-arch:
	dh_autoreconf

override_dh_auto_configure-arch:
	dh_auto_configure -- --enable-shared

override_dh_auto_build-arch:
	dh_auto_build -- V=1

override_dh_auto_test-arch:
	cd build-tree/tests && make check

##
# Arch independent overrides
##
override_dh_autoreconf-indep override_dh_auto_configure-indep: ;
override_dh_auto_test-indep override_dh_auto_install-indep: ;
override_dh_auto_build-indep:
	install -d build-tree/docs/html
	cd build-tree && sed -e "s,@VERSION@,$(DEB_VERSION_UPSTREAM),g" \
			     -e "s,@top_srcdir@,../,g" \
		<../Doxyfile.in >Doxyfile
	cd build-tree && doxygen
	find . -name "*.md5"  -exec rm {} \;

##
# Overrides common to both
##
override_dh_compress:
	dh_compress -Xusr/share/doc/libmongo-client0/examples/ \
		    -Xusr/share/doc/libmongo-client0/html/

override_dh_makeshlibs:
	dh_makeshlibs
	dpkg-gensymbols -v$(DEB_VERSION_UPSTREAM) -plibmongo-client0
